Page MenuHomePhabricator

VE tab missing from Special:WhatLinksHere etc.
Closed, ResolvedPublic1 Estimated Story Points

Description

Steps to reproduce:

  1. Enable VE and NWE (with dual tabs).
  2. Go to https://de.wikipedia.org/wiki/Spezial:Linkliste/Benutzer:Schnark or https://de.wikipedia.beta.wmflabs.org/wiki/Spezial:Linkliste/Benutzer:Schnark
  3. Try to edit the page.

Expected: Tabs for VE and NWE are present and work.
Actual: In both cases the VE tab is missing. The NWE tab takes you either to OWE (in Wikipedia), or to a page with a note the editor is loading, though it actually isn't, and a link that takes you to OWE (Beta).

Event Timeline

Schnark created this task.May 11 2017, 6:55 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptMay 11 2017, 6:55 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

This also affects diffs like https://de.wikipedia.org/w/index.php?title=Benutzer_Diskussion%3ASchnark&type=revision&diff=165272804&oldid=165221234, both edit tab and the section edit links don't work (in this case taking you to the page without the diff, and without any other note). But editing from a diff does work for articles (e.g. https://de.wikipedia.org/w/index.php?title=A2215_road&type=revision&diff=161313407&oldid=155638153).
I don't know whether these are all symptoms of the same bug, or whether there are multiple similar bugs, but it sure is a weird mess.

ext.visualEditor.desktopArticleTarget.init isn't getting loaded for some reason.

Jdforrester-WMF triaged this task as High priority.May 15 2017, 9:39 AM
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

Change 353849 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Enable edit tab setup on appropriate Special pages

https://gerrit.wikimedia.org/r/353849

The "links not working" bit is being fixed in T165238: Source editor fails to load on direct non-view page loads where the wiki doesn't have Single Edit Tab enabled; the "there's no VE tab" one is being fixed with this one.

Jdforrester-WMF renamed this task from Invoking VE/NWE from Special:WhatLinksHere doesn't work to VE tab missing from Special:WhatLinksHere etc..May 15 2017, 12:25 PM
Jdforrester-WMF claimed this task.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF closed this task as Resolved.May 18 2017, 4:14 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 18 2017, 4:14 PM

Change 353849 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Enable edit tab setup on appropriate Special pages

https://gerrit.wikimedia.org/r/353849